#!/bin/bash

MACH=`uname -m`
echo "MACH:${MACH}"

case "$MACH" in
	riscv64)
		TARGET_CC=gcc
		TARGET_LD=ld
		STAGING_DIR=/
		;;
	*)
		CROSS_COMPILE=/opt/riscv/bin/riscv64-unknown-linux-gnu
		TARGET_CC=$CROSS_COMPILE-gcc
		TARGET_LD=$CROSS_COMPILE-ld
		STAGING_DIR=/opt/riscv/host/sysroot/
		;;
esac

echo "TARGET_CC=$TARGET_CC"
echo "STAGING_DIR=$STAGING_DIR"

make CC=$TARGET_CC LD=$TARGET_LD STAGING_DIR=$STAGING_DIR -C ./
